PLSTART(3)

NAME
plstart - Initialization

SYNOPSIS
plstart(device, nx, ny)

DESCRIPTION

Alternative to plstar(3) for initializing the plotting package. The device name keyword for the desired output device must be supplied as an argument. The device keywords are the same as those printed out by plstar(3). If the requested device is not available, or if the input string is empty or begins with ``?'', the prompted startup of plstar(3) is used. This routine also divides the output device into nx by ny subpages, each of which may be used independently. The subroutine pladv(3) is used to advance from one subpage to the next.

ARGUMENTS

device (const char *, input)
    Device name (keyword) of the required output device. If NULL or if the first character is a ``?'', the normal (prompted) startup is used.

nx (PLINT, input)
    Number of subpages to divide output page in the horizontal direction.

ny (PLINT, input)
    Number of subpages to divide output page in the vertical direction.

AUTHORS
Geoffrey Furnish and Maurice LeBrun wrote and maintain PLplot. This man page was automatically generated from the DocBook source of the PLplot documentation, maintained by Alan W. Irwin and Rafael Laboissiere.

SEE ALSO
PLplot documentation at http://plplot.sf.net/resources.